## calls-record-store

calls-record-store

## Functions

CallsRecordStore * | calls_record_store_new ()
GListModel * | calls_record_store_get_list_model ()
gboolean | calls_record_store_is_busy ()

## Signals

void | db-done | Run Last

## Types and Values

#define | CALLS_TYPE_RECORD_STORE
| CallsRecordStore

## Object Hierarchy

        GObject
        ╰── CallsRecordStore

## Description

## Functions

### calls_record_store_new ()

    CallsRecordStore *
    calls_record_store_new (void);

### calls_record_store_get_list_model ()

    GListModel *
    calls_record_store_get_list_model (CallsRecordStore *Param1);

### calls_record_store_is_busy ()

    gboolean
    calls_record_store_is_busy (CallsRecordStore *self);

Check whether there are async database operations in flight. It is only save to dispose the record store when this function returns `FALSE`.

#### Parameters

self | The record store |

#### Returns

`TRUE` when there are async db operations, otherwise `FALSE`.

## Types and Values

### CALLS_TYPE_RECORD_STORE

    #define CALLS_TYPE_RECORD_STORE (calls_record_store_get_type ())

### CallsRecordStore

    typedef struct _CallsRecordStore CallsRecordStore;

## Signal Details

### The `“db-done”` signal

    void
    user_function (CallsRecordStore *callsrecordstore,
                   gboolean          arg1,
                   gpointer          user_data)

Flags: Run Last